package cn.ysk.cashier.mybatis.entity;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;

import java.io.Serializable;


@SuppressWarnings("serial")
public class TagProductDepts extends Model<TagProductDepts> {
    //标签id
    @TableId(value = "tagId", type = IdType.NONE)
    private Integer tagId;
    //商品id
    private Integer productId;

    //创建时间
    private Date createTime=new Date();

    public TagProductDepts() {
    }

    public TagProductDepts(Integer tagId, Integer productId) {
        this.tagId = tagId;
        this.productId = productId;
    }

    public TagProductDepts(Integer tagId, Integer productId, Date createTime) {
        this.tagId = tagId;
        this.productId = productId;
        this.createTime = createTime;
    }

    public Integer getTagId() {
        return tagId;
    }

    public void setTagId(Integer tagId) {
        this.tagId = tagId;
    }

    public Integer getProductId() {
        return productId;
    }

    public void setProductId(Integer productId) {
        this.productId = productId;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

}

